# Joplin release cycle

We release four major versions per year, one per quarter, following a three-phase process: "Release", "Freeze", and "Publishing". This reliable schedule empowers the community, as well as businesses and developers, to effectively plan their own roadmaps.

Here's what each phase entails:

**Phase 1: "Release" - Cycle start** During this phase, our team will focus on developing new features and improvements for the next release.

**Phase 2: "Freeze" - Stability and bug fixing** The "Freeze" phase will begin two weeks before the intended publishing date. At this point, we will halt the addition of new features and concentrate on stabilizing the software. Our main objective will be to fix any remaining bugs and optimize performance.

**Phase 3: "Publishing" - Final version** The "Publishing" phase is when we will officially release the new version of Joplin.

Below is our schedule related to the phases mentioned above:

| Release | Freeze | Publishing |
| --- | --- | --- |
| **Joplin 2.12** | Aug 17 2023 - Aug 31 2023 | Sept 1 2023 - Sept 7 2023 |
| **Joplin 2.13** | Nov 16 2023 - Nov 30 2023 | Dec 1 2023 - Dec 7 2023 |
| **Joplin 2.14** | Feb 15 2024 - Feb 29 2024 | Mar 1 2024 - Mar 7 2024 |
| **Joplin 2.15** | Jun 17 2024 - Jun 31 2024 | Jul 1 2024 - Jul 7 2024 |
| **Joplin 2.16** | Aug 17 2024 - Aug 31 2024 | Sept 1 2024 - Sept 7 2024 |
| **Joplin 2.17** | Nov 16 2024 - Nov 30 2024 | Dec 1 2024 - Dec 7 2024 |

Please note that during this release process, [prereleases are also regularly made available](https://joplinapp.org/prereleases/). This allows you to test the application before its final release and to provide feedback on the new features being added and influence development. Moreover, if you find an issue, you can report it and we will give it a high priority and attempt to fix it as soon as possible.
